tesma Platform API
Gets a single acceptance certificate by acceptance certificate id.
get
https://api.tesma.com/v1/leases/acceptanceCertificates/{leaseCompanyNumber}/{acceptanceCertificateId}
Path Parameters
leaseCompanyNumberinteger(int32)required
The lease company number.
>= 1
acceptanceCertificateIdinteger(int32)required
The id of the acceptance certificate as identifier
>= 1
Headers
CorporateGroup-Namestring
Corporate group key that assigns the currently selected corporate group to the request.
Response
application/json
Response
application/json
OK
AcceptanceCertificateResponse
* Additional properties are NOT allowed.
acceptanceCertificateIdinteger(int32)
actualLeaseTerminteger(int32)
authorizationStatusstring
Allowed values:readyauthorized
confirmationStatusstring
Allowed values:chgCheckInProgressclearingProcessfirstConfirmationPendingsecondConfirmationPendingconfirmed
customerContextobject
* Additional properties are NOT allowed.
Show Child Parameters
customerInformationnull | string
firstConfirmationDatenull | string(date-time)
firstConfirmationUserIdnull | integer(int32)
leaseScheduleIdinteger(int32)
leaseStartDatenull | string(date)
plannedLeaseEndDatenull | string(date)
secondConfirmationDatenull | string(date-time)
secondConfirmationUserIdnull | integer(int32)
get/v1/leases/acceptanceCertificates/{leaseCompanyNumber}/{acceptanceCertificateId}
Authentication
Path Parameters
Headers
application/json
Confirms the given acceptance certificate.
post
https://api.tesma.com/v1/leases/acceptanceCertificates/{leaseCompanyNumber}/{acceptanceCertificateId}/confirmation
Path Parameters
leaseCompanyNumberinteger(int32)required
The lease company number.
>= 1
acceptanceCertificateIdinteger(int32)required
The acceptance certificate identifier.
>= 1
Headers
CorporateGroup-Namestring
Corporate group key that assigns the currently selected corporate group to the request.
Response
application/json
Response
application/json
OK
ConfirmAcceptanceCertificateResponse
* Additional properties are NOT allowed.
messagenull | string
responseCodeinteger(int32)
post/v1/leases/acceptanceCertificates/{leaseCompanyNumber}/{acceptanceCertificateId}/confirmation
Authentication
Path Parameters
Headers
application/json
Rejects the given acceptance certificate
post
https://api.tesma.com/v1/leases/acceptanceCertificates/{leaseCompanyNumber}/{acceptanceCertificateId}/rejection
Path Parameters
leaseCompanyNumberinteger(int32)required
The lease company number.
>= 1
acceptanceCertificateIdinteger(int32)required
The acceptance certificate identifier.
>= 1
Headers
CorporateGroup-Namestring
Corporate group key that assigns the currently selected corporate group to the request.
Response
Response
OK
post/v1/leases/acceptanceCertificates/{leaseCompanyNumber}/{acceptanceCertificateId}/rejection
Authentication
Path Parameters
Headers
AssetStatus
Gets all asset statuses of the corporate group.
get
https://api.tesma.com/v1/leases/assetStatus
Headers
CorporateGroup-Namestring
Corporate group key that assigns the currently selected corporate group to the request.
Response
application/json
Response
application/json
OK
PublicAssetStatusResponse
* Additional properties are NOT allowed.
idinteger(int32)
namenull | string
get/v1/leases/assetStatus
Authentication
Headers
application/json